Page MenuHomePhabricator

Use IPIP encapsulation on lvs<-->text cluster
Closed, ResolvedPublic

Description

After enabling IPIP encapsulation for upload realservers as part of T357257 without major issues it's time for the text cluster.

IPIP encapsulation enabled in:

  • eqiad
  • codfw
  • esams
  • ulsfo
  • eqsin
  • drmrs
  • magru

Details

SubjectRepoBranchLines +/-
operations/dnsmaster+0 -2
operations/dnsmaster+2 -0
operations/puppetproduction+2 -12
operations/puppetproduction+2 -0
operations/dnsmaster+0 -2
operations/dnsmaster+2 -0
operations/puppetproduction+0 -0
operations/puppetproduction+2 -0
operations/puppetproduction+2 -0
operations/dnsmaster+2 -0
operations/puppetproduction+2 -0
operations/puppetproduction+2 -0
operations/puppetproduction+4 -0
operations/dnsmaster+0 -2
operations/dnsmaster+2 -0
operations/puppetproduction+2 -0
operations/puppetproduction+2 -0
operations/dnsmaster+0 -2
operations/dnsmaster+2 -0
operations/puppetproduction+2 -0
operations/puppetproduction+2 -0
operations/dnsmaster+0 -2
operations/dnsmaster+2 -0
operations/puppetproduction+2 -0
operations/puppetproduction+2 -0
operations/puppetproduction+6 -0
operations/dnsmaster+0 -2
operations/dnsmaster+2 -0
operations/puppetproduction+5 -0
operations/puppetproduction+1 -1
operations/puppetproduction+4 -0
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change #1038327 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] interface::clsact: Fix syntax error

https://gerrit.wikimedia.org/r/1038327

Mentioned in SAL (#wikimedia-operations) [2024-06-03T13:36:56Z] <vgutierrez> depool text@ulsfo before enabling IPIP encapsulation - T366466

Change #1038295 merged by Vgutierrez:

[operations/dns@master] depool text@ulsfo before enabling IPIP encapsulation

https://gerrit.wikimedia.org/r/1038295

Change #1038291 merged by Vgutierrez:

[operations/puppet@production] hiera: Enable IPIP on high-traffic1@ulsfo for text services

https://gerrit.wikimedia.org/r/1038291

Change #1038327 merged by Vgutierrez:

[operations/puppet@production] interface::clsact: Fix syntax error

https://gerrit.wikimedia.org/r/1038327

Change #1038294 merged by Vgutierrez:

[operations/puppet@production] cache,hiera: Enable IPIP on text@ulsfo

https://gerrit.wikimedia.org/r/1038294

Mentioned in SAL (#wikimedia-operations) [2024-06-03T13:49:08Z] <vgutierrez> re-enable puppet on "A:cp-text and not A:cp-text_ulsfo" - T366466

Mentioned in SAL (#wikimedia-operations) [2024-06-03T13:54:26Z] <vgutierrez> re-enable puppet on "A:cp-text_ulsfo" - T366466

Mentioned in SAL (#wikimedia-operations) [2024-06-03T13:58:42Z] <vgutierrez> rolling restart of pybal on lvs4010 and lvs4008 - T366466

Change #1038311 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/dns@master] Revert "depool text@ulsfo before enabling IPIP encapsulation"

https://gerrit.wikimedia.org/r/1038311

Change #1038311 merged by Vgutierrez:

[operations/dns@master] Revert "depool text@ulsfo before enabling IPIP encapsulation"

https://gerrit.wikimedia.org/r/1038311

Mentioned in SAL (#wikimedia-operations) [2024-06-03T14:33:28Z] <vgutierrez> repool text@ulsfo with IPIP encapsulation enabled - T366466

Change #1038369 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] ipip: Avoid puppet errors disabling rp_filter

https://gerrit.wikimedia.org/r/1038369

Change #1038369 merged by Vgutierrez:

[operations/puppet@production] ipip: Avoid puppet errors disabling rp_filter

https://gerrit.wikimedia.org/r/1038369

Change #1038695 had a related patch set uploaded (by Fabfur; author: Fabfur):

[operations/dns@master] depool text@magru before enabling IPIP encapsulation

https://gerrit.wikimedia.org/r/1038695

Change #1038698 had a related patch set uploaded (by Fabfur; author: Fabfur):

[operations/puppet@production] hiera: enable IPIP encapsulation on text@magru

https://gerrit.wikimedia.org/r/1038698

Change #1038744 had a related patch set uploaded (by Fabfur; author: Fabfur):

[operations/puppet@production] cache:hiera: enable IPIP on text@magru

https://gerrit.wikimedia.org/r/1038744

Change #1038695 merged by Fabfur:

[operations/dns@master] depool text@magru before enabling IPIP encapsulation

https://gerrit.wikimedia.org/r/1038695

Mentioned in SAL (#wikimedia-operations) [2024-06-05T12:26:21Z] <fabfur> disabling magru DC to apply IPIP encapsulation patches (T366466)

Change #1038698 merged by Fabfur:

[operations/puppet@production] hiera: enable IPIP for high-traffic1@magru for text services

https://gerrit.wikimedia.org/r/1038698

Mentioned in SAL (#wikimedia-operations) [2024-06-05T12:35:53Z] <fabfur> disabling puppet on A:cp-text to test IPIP encapsulation on magru (T366466)

Change #1038744 merged by Fabfur:

[operations/puppet@production] cache:hiera: enable IPIP on text@magru

https://gerrit.wikimedia.org/r/1038744

Mentioned in SAL (#wikimedia-operations) [2024-06-05T13:06:01Z] <fabfur> restarting pybal on lvs7001/lvs7003 to appy IPIP conf (T366466)

Change #1038841 had a related patch set uploaded (by Fabfur; author: Fabfur):

[operations/dns@master] Revert "depool text@magru before enabling IPIP encapsulation"

https://gerrit.wikimedia.org/r/1038841

Change #1038841 merged by Fabfur:

[operations/dns@master] Revert "depool text@magru before enabling IPIP encapsulation"

https://gerrit.wikimedia.org/r/1038841

Mentioned in SAL (#wikimedia-operations) [2024-06-05T13:21:10Z] <fabfur> enable magru DC after applying IPIP encapsulation patches (T366466)

Change #1039223 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/dns@master] depool text@eqsin before enabling IPIP encapsulation

https://gerrit.wikimedia.org/r/1039223

Change #1039224 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] hiera: Enable IPIP on high-traffic1@eqsin for text services

https://gerrit.wikimedia.org/r/1039224

Change #1039225 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] hiera: enable IPIP on text@eqsin

https://gerrit.wikimedia.org/r/1039225

Change #1039223 merged by Vgutierrez:

[operations/dns@master] depool text@eqsin before enabling IPIP encapsulation

https://gerrit.wikimedia.org/r/1039223

Mentioned in SAL (#wikimedia-operations) [2024-06-05T14:28:00Z] <vgutierrez> depool text@eqsin before enabling IPIP encapsulation - T366466

Change #1039224 merged by Vgutierrez:

[operations/puppet@production] hiera: Enable IPIP on high-traffic1@eqsin for text services

https://gerrit.wikimedia.org/r/1039224

Change #1039225 merged by Vgutierrez:

[operations/puppet@production] hiera: enable IPIP on text@eqsin

https://gerrit.wikimedia.org/r/1039225

Mentioned in SAL (#wikimedia-operations) [2024-06-05T14:55:29Z] <vgutierrez> rolling restart of pybal on lvs5006 and lvs5004 - T366466

Change #1038842 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/dns@master] Revert "depool text@eqsin before enabling IPIP encapsulation"

https://gerrit.wikimedia.org/r/1038842

Change #1038842 merged by Vgutierrez:

[operations/dns@master] Revert "depool text@eqsin before enabling IPIP encapsulation"

https://gerrit.wikimedia.org/r/1038842

Mentioned in SAL (#wikimedia-operations) [2024-06-05T15:04:50Z] <vgutierrez> repool text@eqsin with IPIP encapsulation enabled - T366466

Change #1039694 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/dns@master] depool text@codfw before enabling IPIP encapsulation

https://gerrit.wikimedia.org/r/1039694

Change #1039706 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] hiera: Enable IPIP on high-traffic1@codfw for text services

https://gerrit.wikimedia.org/r/1039706

Change #1039707 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] hiera: Enable IPIP on text@codfw

https://gerrit.wikimedia.org/r/1039707

Change #1039694 merged by Vgutierrez:

[operations/dns@master] depool text@codfw before enabling IPIP encapsulation

https://gerrit.wikimedia.org/r/1039694

Mentioned in SAL (#wikimedia-operations) [2024-06-06T12:33:47Z] <vgutierrez> depool text@codfw before enabling IPIP encapsulation - T366466

Change #1039706 merged by Vgutierrez:

[operations/puppet@production] hiera: Enable IPIP on high-traffic1@codfw for text services

https://gerrit.wikimedia.org/r/1039706

Change #1039707 merged by Vgutierrez:

[operations/puppet@production] hiera: Enable IPIP on text@codfw

https://gerrit.wikimedia.org/r/1039707

Mentioned in SAL (#wikimedia-operations) [2024-06-06T12:50:12Z] <vgutierrez> rolling restart of pybal on lvs2014 and lvs2011 - T366466

Change #1039581 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/dns@master] Revert "depool text@codfw before enabling IPIP encapsulation"

https://gerrit.wikimedia.org/r/1039581

Change #1039581 merged by Vgutierrez:

[operations/dns@master] Revert "depool text@codfw before enabling IPIP encapsulation"

https://gerrit.wikimedia.org/r/1039581

Mentioned in SAL (#wikimedia-operations) [2024-06-06T12:57:15Z] <vgutierrez> repool text@cofw with IPIP encapsulation enabled - T366466

Change #1039944 had a related patch set uploaded (by Fabfur; author: Fabfur):

[operations/dns@master] depool text@drmrs before enabling IPIP encapsulation

https://gerrit.wikimedia.org/r/1039944

Change #1039947 had a related patch set uploaded (by Fabfur; author: Fabfur):

[operations/puppet@production] hiera: enable IPIP for high-traffic1@drmrs for text services

https://gerrit.wikimedia.org/r/1039947

Change #1039948 had a related patch set uploaded (by Fabfur; author: Fabfur):

[operations/puppet@production] cache:hiera: enable IPIP on text@drmrs

https://gerrit.wikimedia.org/r/1039948

Change #1040158 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] hiera: Add dummy IPIP config for cloud environments

https://gerrit.wikimedia.org/r/1040158

Change #1040158 merged by Vgutierrez:

[operations/puppet@production] hiera: Add dummy IPIP config for cloud environments

https://gerrit.wikimedia.org/r/1040158

Mentioned in SAL (#wikimedia-operations) [2024-06-10T10:41:13Z] <fabfur> depooling text@drmrs to apply IPIP encapsulation patches (T366466)

Mentioned in SAL (#wikimedia-operations) [2024-06-10T12:55:14Z] <fabfur> repooling text@drmrs (IPIP encapsulation enabled) (T366466)

Change #1041624 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/dns@master] depool text@eqiad before enabling IPIP encapsulation

https://gerrit.wikimedia.org/r/1041624

Change #1041625 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] hiera: Enable IPIP on high-traffic1@eqiad for text services

https://gerrit.wikimedia.org/r/1041625

Change #1041626 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] hiera: Enable IPIP on text@eqiad

https://gerrit.wikimedia.org/r/1041626

Change #1041624 merged by Vgutierrez:

[operations/dns@master] depool text@eqiad before enabling IPIP encapsulation

https://gerrit.wikimedia.org/r/1041624

Mentioned in SAL (#wikimedia-operations) [2024-06-11T12:19:42Z] <vgutierrez> depool text@eqiad before enabling IPIP encapsulation - T366466

Change #1041625 merged by Vgutierrez:

[operations/puppet@production] hiera: Enable IPIP on high-traffic1@eqiad for text services

https://gerrit.wikimedia.org/r/1041625

Change #1041626 merged by Vgutierrez:

[operations/puppet@production] hiera: Enable IPIP on text@eqiad

https://gerrit.wikimedia.org/r/1041626

Change #1041628 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] hiera: Fix role/eqiad/cache/text.yaml path

https://gerrit.wikimedia.org/r/1041628

Change #1041628 merged by Vgutierrez:

[operations/puppet@production] hiera: Fix role/eqiad/cache/text.yaml path

https://gerrit.wikimedia.org/r/1041628

Mentioned in SAL (#wikimedia-operations) [2024-06-11T12:50:05Z] <vgutierrez> rolling restart of pybal on lvs1020 and lvs1017 - T366466

Change #1041635 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/dns@master] Revert "depool text@eqiad before enabling IPIP encapsulation"

https://gerrit.wikimedia.org/r/1041635

Change #1041635 merged by Vgutierrez:

[operations/dns@master] Revert "depool text@eqiad before enabling IPIP encapsulation"

https://gerrit.wikimedia.org/r/1041635

Mentioned in SAL (#wikimedia-operations) [2024-06-11T13:03:14Z] <vgutierrez> repool text@eqiad with IPIP encapsulation enabled - T366466

Change #1042229 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] hiera: Enable IPIP on high-traffic1@esams for text services

https://gerrit.wikimedia.org/r/1042229

Change #1042230 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/puppet@production] hiera: Enable IPIP on text@esams

https://gerrit.wikimedia.org/r/1042230

Change #1042231 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/dns@master] depool text@esams before enabling IPIP encapsulation

https://gerrit.wikimedia.org/r/1042231

Change #1042231 merged by Vgutierrez:

[operations/dns@master] depool text@esams before enabling IPIP encapsulation

https://gerrit.wikimedia.org/r/1042231

Mentioned in SAL (#wikimedia-operations) [2024-06-12T13:26:23Z] <vgutierrez> depool text@esams before enabling IPIP encapsulation - T366466

Change #1042229 merged by Vgutierrez:

[operations/puppet@production] hiera: Enable IPIP on high-traffic1@esams for text services

https://gerrit.wikimedia.org/r/1042229

Change #1042230 merged by Vgutierrez:

[operations/puppet@production] hiera: Enable IPIP on text@esams

https://gerrit.wikimedia.org/r/1042230

Mentioned in SAL (#wikimedia-operations) [2024-06-12T13:53:44Z] <vgutierrez> rolling restart of pybal on lvs3010 and lvs3008 - T366466

Change #1042265 had a related patch set uploaded (by Vgutierrez; author: Vgutierrez):

[operations/dns@master] Revert "depool text@esams before enabling IPIP encapsulation"

https://gerrit.wikimedia.org/r/1042265

Change #1042265 merged by Vgutierrez:

[operations/dns@master] Revert "depool text@esams before enabling IPIP encapsulation"

https://gerrit.wikimedia.org/r/1042265

Mentioned in SAL (#wikimedia-operations) [2024-06-12T14:02:22Z] <vgutierrez> repool text@esams with IPIP encapsulation enabled - T366466

Vgutierrez updated the task description. (Show Details)